using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	[Description("编码流水表日志表")] 
    [IgnoreT4] public partial class T_PF_CODE_RULE_SERIAL_LOG : MesEntityBase
    {
        [Description("编码类型")]
        [EnumName("PFCodeRuleType")]
        public int CODE_TYPE { get; set; }
        [Description("流水号")]
        public string SERIAL { get; set; }
        [Description("日期值")]
        public string DATE_VALUE { get; set; }
        [Description("顺序")]
        public int NUM { get; set; }
        [Description("取号时间")]
        public DateTime? TAKE_TIME { get; set; }
        [Description("使用时间")]
        public DateTime? USE_TIME { get; set; }
        [Description("状态")]
        [EnumName("PFCodeRuleStatus")]
        public int STATUS { get; set; }
    }
}
